package cn.fastfun.controller.param;

import com.bridge.dto.QueryParam;
import com.bridge.dto.QueryParamExp;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.util.CollectionUtils;
import org.springframework.util.StringUtils;

import java.util.List;

@Setter
@Getter
public class DeviceOperateQueryParam extends QueryParam {

    @ApiModelProperty(value = "操作号", name = "operateID", required = true)
    public void setOperateID(Integer operateID) {
        addParam(QueryParamExp.eq("operateID", operateID));

    }
    public void setSn(String sn) {
        if (!StringUtils.isEmpty(sn))
            addParam(QueryParamExp.like("sn", "%".concat(sn).concat("%")));
    }

    public void setImei(String imei) {
        if (!StringUtils.isEmpty(imei))
            addParam(QueryParamExp.like("imei", "%".concat(imei).concat("%")));
    }

    @ApiModelProperty(value = "设备状态", name = "status", example = "[], 0：未入库,1:已入库,2:已调拨，3:已出库，4:已处置")
    public void setStatus(List<Integer> status) {
        if (!CollectionUtils.isEmpty(status)) {
            addParam(QueryParamExp.in("status", status.toArray(new Integer[]{})));
        }
    }
}
